<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("n" . "a" . "m" . "e" => base64_decode("bmF" . "tZQ" . "=="), "_c80a67ccfaf6579232efc354d30e" . "b275" => base64_decode("dmVyc2lv" . "bg=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["na" . "me"] => $this->name, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c80a67ccfaf6579232efc354d30eb2" . "75"] => $this->version];
    }
}